[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParams.AssignValues

Copy values from another collection

## Declaration

Source position: db.pas line 1235

`public procedure TParams.AssignValues(`
`Value: TParams`
`);`

## Arguments

`Value` |  | Set of parameters to copy values from.

## Description

AssignValues examines all TParam instances in Value, and looks in its own items for a TParam instance with the same name. If it is found, then the value and type of the parameter are copied (using TParam.Assign). If it is not found, nothing is done.

## See also

TParam |  | Parameter description class
TParam.Assign |  | Assign one parameter instance to another

Documentation generated on: Feb 26 2014